"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getDatamodel = void 0;
const tslib_1 = require("tslib");
const promises_1 = tslib_1.__importDefault(require("fs/promises"));
const path_1 = tslib_1.__importDefault(require("path"));
exports.getDatamodel = async (cwd) => {
    const datamodelPath = await (async () => {
        try {
            const potentialPath = path_1.default.join(cwd, 'project.prisma');
            await promises_1.default.access(potentialPath);
            return potentialPath;
        }
        catch {
            const potentialPath = path_1.default.join(cwd, 'schema.prisma');
            await promises_1.default.access(potentialPath).catch(() => {
                throw new Error(`Could not find ${potentialPath}`);
            });
            return potentialPath;
        }
    })();
    return promises_1.default.readFile(datamodelPath, 'utf-8');
};
//# sourceMappingURL=getDatamodel.js.map