"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeDmmf = void 0;
const tslib_1 = require("tslib");
const runtime_1 = require("@prisma/client/runtime");
const promises_1 = tslib_1.__importDefault(require("fs/promises"));
const getDatamodel_1 = require("./getDatamodel");
exports.writeDmmf = async (cwd, dmmfJSONPath) => {
    try {
        const datamodel = await getDatamodel_1.getDatamodel(cwd);
        const dmmf = await runtime_1.getDMMF({ datamodel, cwd });
        console.log('Writing dmmf...');
        await promises_1.default.writeFile(dmmfJSONPath, JSON.stringify(dmmf, null, 2));
    }
    catch (err) {
        console.error('Something went wrong:', err);
    }
};
//# sourceMappingURL=writeDmmf.js.map