import { DMMF } from './dmmf/types';
export declare type BaseKeys = keyof Pick<DMMF.Mapping, 'model' | 'plural'>;
export declare const baseKeys: BaseKeys[];
export declare type ModelKeys = keyof Exclude<DMMF.Mapping, BaseKeys>;
export declare type SupportedQueries = keyof Pick<typeof DMMF.ModelAction, 'findOne' | 'findMany' | 'aggregate'>;
export declare const supportedQueryActions: SupportedQueries[];
export declare type SupportedMutations = keyof Pick<typeof DMMF.ModelAction, 'create' | 'delete' | 'update' | 'deleteMany' | 'updateMany' | 'upsert'>;
export declare const supportedMutationActions: SupportedMutations[];
export declare const modelsFolderName = "models";
export declare const enumsFolderName = "enums";
export declare const inputsFolderName = "inputs";
export declare const outputsFolderName = "outputs";
export declare const resolversFolderName = "resolvers";
export declare const argsFolderName = "args";
export declare const relationsResolversFolderName = "relations";
export declare const crudResolversFolderName = "crud";
