import { SourceFile } from 'ts-morph';
import { GeneratedResolverData } from './types';
import { GenerateCodeOptions } from './options';
export declare const generateNestJSArgImport: (sourceFile: SourceFile) => void;
export declare const generateNestJSCrudImport: (sourceFile: SourceFile) => void;
export declare const generateNestJSEnumImport: (sourceFile: SourceFile) => void;
export declare const generateNestJSInputImport: (sourceFile: SourceFile) => void;
export declare const generateNestJSModelImport: (sourceFile: SourceFile) => void;
export declare const generateNestJSRelationsImport: (sourceFile: SourceFile) => void;
export declare const generateGraphQLFieldsImport: (sourceFile: SourceFile) => void;
export declare const generateGraphQLScalarImport: (sourceFile: SourceFile) => void;
export declare const generatePrismaJsonTypeImport: (sourceFile: SourceFile, options: GenerateCodeOptions, level?: number) => void;
export declare const generateClassTransformerImport: (sourceFile: SourceFile) => void;
export declare const generateClassTransformerDTOImport: (sourceFile: SourceFile) => void;
export declare const generateArgsBarrelFile: (sourceFile: SourceFile, argsTypeNames: string[]) => void;
export declare const generateModelsBarrelFile: (sourceFile: SourceFile, modelNames: string[]) => void;
export declare const generateEnumsBarrelFile: (sourceFile: SourceFile, enumTypeNames: string[]) => void;
export declare const generateInputsBarrelFile: (sourceFile: SourceFile, inputTypeNames: string[]) => void;
export declare const generateOutputsBarrelFile: (sourceFile: SourceFile, outputTypeNames: string[], hasSomeArgs: boolean) => void;
export declare const generateIndexFile: (sourceFile: SourceFile, hasSomeRelations: boolean) => void;
export declare const generateResolversBarrelFile: (type: 'crud' | 'relations', sourceFile: SourceFile, relationResolversData: GeneratedResolverData[]) => void;
export declare const generateModelsImports: (sourceFile: SourceFile, elementsNames: string[], level?: number) => void;
export declare const generateEnumsImports: (sourceFile: SourceFile, elementsNames: string[], level?: number) => void;
export declare const generateInputsImports: (sourceFile: SourceFile, elementsNames: string[], level?: number) => void;
export declare const generateOutputsImports: (sourceFile: SourceFile, elementsNames: string[], level?: number) => void;
export declare const generateArgsImports: (sourceFile: SourceFile, elementsNames: string[], level?: number) => void;
